import FTLNomadItemSheet from "./base-item-sheet.mjs"

export default class FTLNomadPsionicSheet extends FTLNomadItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["psionic"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["psionic-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-ftl-nomad/templates/psionic.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await TextEditor.enrichHTML(this.document.system.description, { async: true })
    return context
  }
}
